Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 03/11/2020 in all areas

  1. rgb 240,235,214 is not white, AutoCAD does try and make up for differences in background color most noticably when you use a white color it changes that to black on a white background. It would be worth trying to set both backgrounds exactly the same. That might not be the cause but try it.
    1 point
  2. Ah, your function is in a while loop... makes sense. Then... (defun First_Routine nil (while (progn ; your code (initget 1 "Yes No") (if (eq (getkword "\nProceed to Second_Routine? [Yes/No]: ") "Yes") (progn (Second_Routine) T) ) ) ) ) (defun Second_Routine nil (alert "\nI'm in Routine B") )
    1 point
  3. this MIGHT work...emphasis on the MIGHT showpstyle.LSP
    1 point
  4. Ha, I wish I know of a good book myself, because no matter how excellent you are, you're always on the learning curve (even @Lee Mac). Though I'm nowhere near Lee Mac's level, I do know that humans are never perfect and there are bound to be bugs. For example, in his Bounding Box Reactor whereby if you run Undo after executing his BBRN command as the undo reactors are not considered. Because I'm very new to reactors, I can only learn slowly and found some vlr-undo-reactor function. I only came to learn AutoLISP through an online course, experience, and this forum.
    1 point
  5. Technically, since Lee Mac used entmakex at the end, you can do: (setq ss (ssget '((0 . "*POLYLINE")))) (if ss (progn (foreach x (JH:selset-to-list ss) ... do your hatch on (LM:PolyOutline x) (entdel x) ) ) ) given (defun JH:selset-to-list (selset / lst iter) ; Returns all entities within a selection set into a list. (setq iter 0) (repeat (sslength selset) (setq lst (cons (ssname selset iter) lst) iter (1+ iter)) ) (reverse lst) )
    1 point
  6. Thanks @Jonathan Handojo. To echo Jonathan's suggestion: the MPOLYOUTLINE custom command will the user offer a standard ssget selection prompt, or alternatively, you can define your own custom command to call the underlying LM:PolyOutline function with an entity name argument. Note that my Polyline Outline program is only compatible with linear segmented polylines - if your polylines contain non-linear segments, you may wish to use my Advanced Polyline Outline program.
    1 point
  7. Um... there are two commands in there: Polyoutline and MPolyoutline. You might want to use MPolyoutline.
    1 point
  8. Change: (defun c:test ( / s p ) (setq s (getstring t "\nString: ")) (if (setq p (getpoint "\nPoint: ")) (sssetfirst nil (ssadd (NearestTextFromPoint (trans p 1 0) s))) ) (princ) ) to: (defun c:test ( / e s p ) (setq s (getstring t "\nString: ")) (if (setq p (getpoint "\nPoint: ")) (if (setq e (NearestTextFromPoint (trans p 1 0) s)) (sssetfirst nil (ssadd e)) (princ (strcat "\nNo text/mtext with content \"" s "\" found in the current layout.")) ) ) (princ) )
    1 point
  9. Can you share your multiple plot routines? And thanks for your advice. I'm still learning, please guide me
    -1 points
×
×
  • Create New...